Subject: bug#26038: 26.0.50; Crash on OS X

From: Ivan Andrus <[email-masked]>
Date: Fri, 10 Mar 2017 09:04:01 -0700

Thanks for the reply.  Perhaps unfortunately, I started having issues
with other programs (including the terminal program which had lldb
running), so it might have been that my system was just unstable.

Anyway, I'll try the patch.  And thanks for working on this!

-Ivan

On Fri, Mar 10, 2017 at 7:44 AM, Alan Third <[email-masked]> wrote:
> On Thu, Mar 09, 2017 at 10:42:17AM -0700, Ivan Andrus wrote:
>> I switched out of Emacs to check my email and when I came back it had
>> crashed.  I had been byte-compiling some files and doing random work
>> before that, but everything seemed to work okay.  I just built from source
>> yesterday so my uptime wasn't very high.
>
> I think this is because of the changes to event handling that I’ve
> made recently to solve the concurrency issues. Unfortunately I don’t
> know how we could go about debugging it properly since the crash
> happens deep inside Cocoa libraries.
>
> I’ve attached a patch which I hope might prevent the crash, though. Can
> you give it a go and see if the crash repeats, please?
>
> The alternative is to revert commits a65236214d and 3bd2e9e975, which
> should take you back to the previous code.
>
>> I build with a few patches, though only elisp changes with the
>> exception of the patch from bug 16579 which should only affect
>> proced which I haven't at all in this instance.
>
> According to https://debbugs.gnu.org/cgi/bugreport.cgi?bug=16579
> that patch was committed to master some time ago.
>
> Thanks for the report.
> --
> Alan Third